summaryrefslogtreecommitdiff
path: root/tests/tests/gitworktree
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/gitworktree')
-rwxr-xr-xtests/tests/gitworktree29
1 files changed, 29 insertions, 0 deletions
diff --git a/tests/tests/gitworktree b/tests/tests/gitworktree
new file mode 100755
index 0000000..e675a0a
--- /dev/null
+++ b/tests/tests/gitworktree
@@ -0,0 +1,29 @@
+#!/bin/bash
+set -e
+. tests/lib
+
+t-archive example 1.0-1
+t-git-none
+
+t-dgit --no-rm-on-error clone $p
+
+mv $p maintree
+cd maintree
+git branch -m maintree-head
+git worktree add ../$p
+cd ../$p
+
+t-dgit fetch
+
+t-dgit setup-new-tree
+
+echo hi >>modification
+git add modification
+git commit -m 'want this'
+t-dgit -wgf quilt-fixup
+
+t-dgit -wgf --quilt=nofix build
+
+t-dgit -wgf push
+
+t-ok